Sign inGet started

List participants

GET
/workspaces/{workspaceId}/conversations/{conversationId}/participants
Retrieve the list of participants in a conversation
Queryparameters
limit
integer
pageToken
string
reverse
boolean
Antwoord-payload
results
array of object
verplicht
List of conversation participants.
Onderliggende attributen tonen
results.avatarUrl
string
results.contact
object
Onderliggende attributen tonen
results.contact.identifierKey
string
verplicht
results.contact.identifierValue
string
verplicht
results.contact.platformAddress
string
results.contact.platformAddressSelector
string
results.conversationId
string
results.createdAt
string
results.displayName
string
results.id
string
verplicht
results.resourceUri
string
results.status
string
Possible values: invited, pending, active, inactive
results.type
string
verplicht
Possible values: user, contact, agent, flow, bot, accessKey, channel, connector, collaborationAutomation
results.updatedAt
string
nextPageToken
string
The token that can be passed as pageToken in URL to retrieve the next set of results. If missing, no more results to display.
total
integer
totalType
string
Possible values: ``, equal, greaterThanOrEqual
Codevoorbeeld
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/conversations/{conversationId}/participants' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'

Examples

Codevoorbeeld
curl "https://api.bird.com/workspaces/a1405560-c8d3-4b1a-877d-3f449ad95352/conversations/02ec2ac2-ebec-42d3-a5f4-e6f3a9edf418/participants" \
-H "Authorization: AccessKey abcd"